Archive

Error in SunOS : SUNW_1.22.6 not found

Communicator

Trying to start a splunkforwarder on SunOs. splunkforwarder-6.2.0-237341-SunOS10-sparc.tar.Z
It fails to start, and we get those errors :

ld.so.1: splunkd: fatal: libc.so.1: version `SUNW_1.22.6' not found (required by file /opt/splunkforwarder/lib/libarchive.so.13)
ld.so.1: splunkd: fatal: libc.so.1: open failed: No such file or directory
Killed
ld.so.1: splunkd: fatal: libc.so.1: version `SUNW_1.22.6' not found (required by file /opt/splunkforwarder/lib/libarchive.so.13)
ld.so.1: splunkd: fatal: libc.so.1: open failed: No such file or directory
Killed
Tags (1)
1 Solution

Splunk Employee
Splunk Employee

It seems to be a library version issue, maybe 32/64 bit

try to change those system variables,then start splunk

LD_NOVERSION=1
LD_NOVERSION_32=1
LD_NOVERSION_64=1
export LD_NOVERSION LD_NOVERSION_32 LD_NOVERSION_64
then, start splunk

If you want to make it persistent, put them in the service launcher (/etc/init.d/splunk)

View solution in original post

Splunk Employee
Splunk Employee

It seems to be a library version issue, maybe 32/64 bit

try to change those system variables,then start splunk

LD_NOVERSION=1
LD_NOVERSION_32=1
LD_NOVERSION_64=1
export LD_NOVERSION LD_NOVERSION_32 LD_NOVERSION_64
then, start splunk

If you want to make it persistent, put them in the service launcher (/etc/init.d/splunk)

View solution in original post

SplunkTrust
SplunkTrust

How is the above solution resolving the issue? The doc http://docs.splunk.com/Documentation/Forwarder/6.5.0/Forwarder/Installanixuniversalforwarder#Install... seem to indicate we need required patch level of 'C' library.
Pls advise.

0 Karma